Loading...
Searching...
No Matches
vulkan_context.h File Reference
`#include "printer.h"`
`#include "runtime_internal.h"`
`#include "scoped_spin_lock.h"`
`#include "vulkan_extensions.h"`
`#include "vulkan_internal.h"`
`#include "vulkan_memory.h"`

Go to the source code of this file.

## Classes

class | Halide::Runtime::Internal::Vulkan::VulkanContext

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal
namespace | Halide::Runtime::Internal::Vulkan

## Variables

halide_vulkan_memory_allocator *WEAK | Halide::Runtime::Internal::Vulkan::cached_allocator = nullptr
VkInstance WEAK | Halide::Runtime::Internal::Vulkan::cached_instance = VK_NULL_HANDLE
VkDevice WEAK | Halide::Runtime::Internal::Vulkan::cached_device = VK_NULL_HANDLE
VkQueue WEAK | Halide::Runtime::Internal::Vulkan::cached_queue = VK_NULL_HANDLE
VkPhysicalDevice WEAK | Halide::Runtime::Internal::Vulkan::cached_physical_device = VK_NULL_HANDLE
uint32_t WEAK | Halide::Runtime::Internal::Vulkan::cached_queue_family_index = 0
VkDebugUtilsMessengerEXT WEAK | Halide::Runtime::Internal::Vulkan::cached_messenger = VK_NULL_HANDLE
WEAK halide_mutex | Halide::Runtime::Internal::Vulkan::thread_lock